/*
    libKGoogle - Objects - Task List
    Copyright (C) 2011  Dan Vratil <dan@progdan.cz>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#include "tasklist.h"

namespace KGoogle
{

namespace Objects
{

class TaskListData: public QSharedData
{
  public:
    TaskListData();
    TaskListData(const TaskListData &other);
    QString title;
    QString uid;
};

}

}

using namespace KGoogle::Objects;

TaskListData::TaskListData()
{ }

TaskListData::TaskListData (const TaskListData& other):
    QSharedData(other),
    title(other.title),
    uid(other.uid)
{ }

TaskList::TaskList():
    d(new TaskListData)
{ }

TaskList::TaskList (const TaskList& other):
    Object(other),
    d(other.d)
{ }


TaskList::~TaskList()
{

}

void TaskList::setUid(const QString &uid)
{
    d->uid = uid;
}

QString TaskList::uid() const
{
    return d->uid;
}

void TaskList::setTitle(const QString& title)
{
    d->title = title;
}

QString TaskList::title() const
{
    return d->title;
}

